# Part 10: AI 전문가를 위한 추천 학습 자료

AI 전문가로 성장하기 위한 여정은 꾸준한 학습과 정보 습득이 중요합니다. 이 문서는 여러분의 전문성을 한 단계 끌어올리는 데 도움이 될 만한 양질의 추천 자료들을 모았습니다.

---

## 📚 추천 도서 (Books)

| 분야 | 책 제목 | 저자 | 추천 이유 |
| --- | --- | --- | --- |
| **머신러닝/딥러닝** | 핸즈온 머신러닝 (Hands-On Machine Learning with Scikit-Learn, Keras & TensorFlow) | Aurélien Géron | 이론과 실습의 균형이 매우 뛰어난 책. 머신러닝의 기초부터 최신 딥러닝 모델까지, 전체적인 그림을 잡기에 가장 좋은 교과서입니다. |
| **딥러닝 이론** | 딥러닝 (Deep Learning) | Ian Goodfellow, Yoshua Bengio, Aaron Courville | '딥러닝의 바이블'. 딥러닝의 수학적, 개념적 기초를 가장 깊이 있게 다룹니다. 이론에 목마른 분들에게 추천합니다. |
| **자연어 처리** | Speech and Language Processing | Dan Jurafsky, James H. Martin | 자연어 처리(NLP) 분야의 교과서적인 책. 최신 트랜스포머 기반 모델까지 포괄하는 개정판을 꾸준히 웹에 공개하고 있습니다. |
| **MLOps** | Designing Machine Learning Systems | Chip Huyen | 프로덕션 환경에서 머신러닝 시스템을 설계하고 운영하는 데 필요한 거의 모든 주제를 다룹니다. 실무자에게 강력 추천합니다. |

---

## 🎓 추천 온라인 강의 및 자료 (Online Courses & Resources)

| 플랫폼/이름 | 링크 | 추천 이유 |
| --- | --- | --- |
| **Coursera** | Andrew Ng - Machine Learning Specialization | [Link](https://www.coursera.org/specializations/machine-learning-introduction) | '모두를 위한 머신러닝'의 시초. 직관적인 설명으로 복잡한 개념을 쉽게 이해시켜주며, AI 분야 입문자에게 최고의 강의입니다. |
| **fast.ai** | Practical Deep Learning for Coders | [Link](https://course.fast.ai/) | 'Top-down' 방식으로, 일단 코드로 구현해보며 이론을 자연스럽게 익히는 실용적인 접근법을 취합니다. 빠르게 결과를 보고 싶은 분들께 좋습니다. |
| **Full Stack Deep Learning** | FSDL Course | [Link](https://fullstackdeeplearning.com/course/2022/) | 실제 프로덕션 환경에서 딥러닝 프로젝트를 수행하는 전 과정을 다루는, MLOps에 특화된 훌륭한 무료 강의입니다. |
| **Papers with Code** | Website | [Link](https://paperswithcode.com/) | 최신 AI/ML 논문들을 코드 구현과 함께 찾아볼 수 있는 최고의 사이트. 최신 연구 트렌드를 따라가기에 필수적입니다. |

---

## 💬 추천 커뮤니티 및 블로그 (Communities & Blogs)

| 이름 | 링크 | 추천 이유 |
| --- | --- | --- |
| **Hugging Face** | [Website](https://huggingface.co/) | 트랜스포머 모델의 허브. 모델, 데이터셋, 데모를 공유하고 토론하는 NLP/LLM 분야의 필수 커뮤니티입니다. |
| **Towards Data Science** | [Medium Blog](https://towardsdatascience.com/) | 데이터 과학, 머신러닝에 대한 다양한 수준의 아티클이 매일 올라오는 미디엄 블로그. 여러 실무자들의 팁을 얻을 수 있습니다. |
| **Distill.pub** | [Journal](https://distill.pub/) | 머신러닝의 특정 주제를 시각적으로 매우 아름답고 명확하게 설명하는 '학술 저널' 형태의 블로그입니다. 개념의 깊은 이해를 돕습니다. |
| **Reddit r/MachineLearning** | [Subreddit](https://www.reddit.com/r/MachineLearning/) | 전 세계의 머신러닝 연구자, 엔지니어들이 모여 최신 논문이나 뉴스에 대해 토론하는 가장 활발한 커뮤니티 중 하나입니다. |

---

> [!TIP]
> 이 목록은 시작점일 뿐입니다. 자신의 관심 분야에 맞는 전문가를 트위터나 링크드인에서 팔로우하고, 관련 GitHub 저장소를 꾸준히 살펴보는 습관을 들이는 것이 중요합니다. 