# Part 14: AI 윤리 용어집

- **XAI (eXplainable AI, 설명가능 AI)**: '블랙박스'로 여겨지는 복잡한 AI 모델이 왜 그런 예측을 했는지 사람이 이해할 수 있는 형태로 설명하고 해석하는 것을 목표로 하는 기술 및 방법론입니다.

- **LIME (Local Interpretable Model-agnostic Explanations)**: 특정 예측 하나에 대해, 그 주변의 데이터를 분석하여 간단한 모델로 근사함으로써 "왜 이 예측을 했는가?"를 설명하는 대표적인 로컬 XAI 기법입니다.

- **SHAP (SHapley Additive exPlanations)**: 게임 이론의 '섀플리 값'을 이용해 각 피처(feature)가 모델의 예측 결과에 얼마나 기여했는지를 공정하게 측정하여 설명하는 XAI 기법입니다. 로컬 및 글로벌 설명이 모두 가능합니다.

- **편향성 (Bias)**: AI 모델이 학습 데이터에 내재된 편견을 학습하여, 특정 인구 집단(성별, 인종 등)에게 체계적으로 불리하거나 유리한 예측을 내놓는 경향을 의미합니다.

- **Fairlearn**: Microsoft에서 개발한 라이브러리로, 머신러닝 시스템의 공정성을 다양한 지표로 측정 및 시각화하고, 편향성을 완화하는 알고리즘을 제공합니다.

- **Demographic Parity (인구 통계학적 동등성)**: 모델의 긍정적인 예측(예: 대출 승인) 비율이 모든 민감 그룹(예: 남성/여성)에서 동일해야 한다는 공정성 원칙입니다.

- **Equalized Odds (동등한 기회)**: 실제 결과가 참일 때와 거짓일 때 각각의 경우에 대해, 모든 그룹이 동일한 예측률(TPR, FPR)을 가져야 한다는 공정성 원칙입니다. Demographic Parity보다 더 정교한 기준으로 여겨집니다.

- **EU AI Act**: 유럽연합(EU)에서 제정한 세계 최초의 포괄적인 AI 규제 법안으로, AI 시스템을 위험 수준에 따라 분류하고 차등적인 의무를 부과합니다.

- **모델 카드 (Model Cards)**: AI 모델의 사용 목적, 성능, 한계, 윤리적 고려사항 등을 표준화된 양식으로 정리한 문서입니다. 모델의 투명성을 높이기 위해 사용됩니다.

- **데이터 시트 (Datasheets for Datasets)**: 데이터셋의 수집 동기, 구성, 한계, 편향 가능성 등을 상세히 기술한 문서입니다. 데이터의 투명성을 확보하는 데 목적이 있습니다. 