# AI 전문가 양성 과정 - 통합 용어집

이 용어집은 AI 전문가 양성 과정 전체에서 사용되는 핵심 용어들을 통합하여 정리한 문서입니다.

## 📚 파트별 상세 용어집

각 파트의 상세한 용어 설명은 아래 링크를 참고하세요:

- [Part 0: 시작하며](./courses/00_introduction/glossary.md)
- [Part 1: AI 개발 환경](./courses/01_ai_development_environment/glossary.md)
- [Part 2: 파이썬 핵심 문법](./courses/02_python_core_syntax/glossary.md)
- [Part 3: 파이썬 컬렉션](./courses/03_python_collections/glossary.md)
- [Part 4: 객체 지향 프로그래밍](./courses/04_object_oriented_programming/glossary.md)
- [Part 5: AI 핵심 라이브러리](./courses/05_ai_core_libraries/glossary.md)
- [Part 6: 머신러닝](./courses/06_machine_learning/glossary.md)
- [Part 7: 딥러닝](./courses/07_deep_learning/glossary.md)
- [Part 8: FastAPI 모델 서빙](./courses/08_model_serving_with_fastapi/glossary.md)
- [Part 9: 프로덕션 API](./courses/09_production_ready_api/glossary.md)
- [Part 10: 전문가 로드맵](./courses/10_expert_path/glossary.md)
- [Part 11: MLOps](./courses/11_mlops/glossary.md)
- [Part 12: 모델 최적화](./courses/12_model_optimization/glossary.md)
- [Part 13: 생성형 AI](./courses/13_generative_ai/glossary.md)
- [Part 14: AI 윤리](./courses/14_ai_ethics/glossary.md)
- [Part 15: 캡스톤 프로젝트](./courses/15_capstone_project/glossary.md)

## 🔤 핵심 용어 빠른 찾기 (알파벳순)

### A-E
- **API (Application Programming Interface)**: 서로 다른 프로그램이나 서비스가 약속된 규칙에 따라 정보를 주고받을 수 있도록 하는 소통 창구
- **Docker**: 애플리케이션을 컨테이너라는 가상 환경에 패키징하여 어디서든 동일하게 실행할 수 있게 하는 플랫폼

### F-J
- **FastAPI**: Python 3.7+를 기반으로 API를 구축하기 위한 현대적이고 빠른 웹 프레임워크

### K-O
- **MLOps**: 머신러닝 모델 개발과 운영을 통합하여 ML 시스템의 개발, 배포, 유지보수를 자동화하고 효율화하는 방법론

### P-T
- **Python**: 간결하고 읽기 쉬운 문법을 가진 고급 프로그래밍 언어
- **PyTorch**: Facebook에서 개발한 딥러닝 프레임워크

### U-Z
- **가상환경 (Virtual Environment)**: 프로젝트별로 독립된 Python 환경을 만들어 라이브러리 충돌을 방지하는 시스템
- **객체 지향 프로그래밍 (OOP)**: 현실 세계의 사물이나 개념을 '객체'로 보고, 객체들의 상호작용으로 프로그램 로직을 구성하는 패러다임
- **머신러닝 (Machine Learning)**: 명시적인 프로그램 없이 컴퓨터가 데이터로부터 학습하여 패턴을 찾고 예측하는 인공지능 분야
- **딥러닝 (Deep Learning)**: 여러 계층의 인공 신경망을 사용하여 복잡한 데이터에서 고수준 특징을 자동으로 학습하는 머신러닝 분야

---

*이 통합 용어집은 각 파트의 개별 용어집을 기반으로 구성되었습니다. 더 상세한 설명이 필요한 경우 해당 파트의 용어집을 참고하세요.* 