from fastapi.testclient import TestClient
from ..main import app

client = TestClient(app)


def test_read_root():
    """
    Test that the root endpoint returns a welcome message.
    """
    response = client.get("/")
    assert response.status_code == 200
    assert response.json() == {
        "message": "Welcome to the Production-Ready AI API. See /docs for documentation."
    }


# You can add more tests for other endpoints here.
# For example, to test the prediction endpoint:
#
# def test_predict_endpoint():
#     """
#     Test the prediction endpoint with sample data.
#     """
#     sample_payload = {
#         "sepal_length": 5.1,
#         "sepal_width": 3.5,
#         "petal_length": 1.4,
#         "petal_width": 0.2
#     }
#     response = client.post("/api/v1/predict", json=sample_payload)
#     assert response.status_code == 200
#     assert "prediction" in response.json()
#     assert "probability" in response.json() 